Bug 813210 - Sandy Bridge system freezes because of RC6
Sandy Bridge system freezes because of RC6
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 05:00 EDT by Michael Monreal
Modified: 2013-03-28 09:54 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-28 09:54:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Monreal 2012-04-17 05:00:39 EDT
Description of problem:
My system (Intel Sandy Bridge i5-2500K CPU, using the on-CPU graphics) used to suspend and resume (mostly) fine in Fedora 16 (mostly meaning that sometimes it didn't resume, just showing a black screen). On Fedora 17 Beta it always freetes during resume. Sometimes it shows a black screen with time/date etc (lock screen without wallpaper or passwort entry), sometimes I can even log in and the desktop is shown but it freezes at this point.

Version-Release number of selected component (if applicable):
kernel-3.3.2-1.fc17.x86_64
what other component versions do you need?

How reproducible:
just suspend using the GNOME Shell menu and resume by pressing a key.

Additional info:
I don't know if this is the kernel's or the graphics driver's or anything else's fault. Please point me to some docs on how I can debug this further and/or reassign to a better component.
Comment 1 Michael Monreal 2012-04-17 17:31:54 EDT
Small update: I have rolled back to kernel-3.3.1-1.fc17.x86_64 this morning, which seems to be the newest kernel before RC6 was enabled ("Backport upstream patches to enable i915 RC6 by default on SNB").

I have done at least 10 suspend/resume cycles since then and did *not* run into any problems, so it looks like the RC6 Support is still not running stable :(
Comment 2 Michael Monreal 2012-04-22 08:08:07 EDT
I did not run into any problem with the 3.3.1-1 kernel. To verify the problem I have upgraded again to the 3.3.2-8 kernel. Using the default settings, the system does *not* run stable, mostly freezing on resume but also during normal operation (adjusted the bug topic).

However, with "i915.i915_enable_rc6=0" appended to the kernel parameter line, it seems to run stable even on the 3.3.2-8 kernel.

Again, if there is any other information I can provide, please tell me.

My mainboard: ASRock Z68M/USB3 (Intel Sandy Bridge Z68 chipset) using the latest available bios.
Comment 3 Justin M. Forbes 2012-09-11 11:07:36 EDT
Is this working well with the shipping 3.5.3 kernel?
Comment 4 Michael Monreal 2012-09-16 04:56:58 EDT
On my new Ivy Bridge based laptop, suspend/resume works fine using the latest F17 kernel and I did not apply any manual tweaks or workarounds. On my Sandy Bridge based desktop system, the situation is actually worse now, resume does not work most of the time even with RC6 disabled: the system seems to come up just fine but the screen stays black and I have to powercycle.
Comment 5 Josh Boyer 2013-03-14 14:13:29 EDT
Is this still an issue with 3.8.2 in updates-testing?
Comment 6 Josh Boyer 2013-03-28 09:54:37 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a
response in 2 weeks.  If you are still experiencing this issue,
please reopen and attach the relevant data from the latest kernel you are
running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.